﻿@model HOD.Models.ListingMessageModel
@using HOD.Models

@functions{  string ANSWER(bool Quest)
    {
        string Ans="";
        if(Quest)
            Ans="YES";
        else
            Ans="NO";
        return Ans;
    }
  }
@{
   
   Layout = "~/Views/Shared/mobile.cshtml";
   ViewBag.Title = "FullListing";
   string address = Model.Listing.Address + ", " + Model.Listing.City + ", " + Model.Listing.Province + ", " + Model.Listing.PostalCode;
   //string MapURL = "http://www.walkscore.com/serve-walkscore-tile.php?wsid=9d8b9aab2f4f59b04bed3837e4ca9b43&street=1018-Lombard-Street-San-Francisco-CA&layout=vertical&transit_score=true&public_transit=false&commute=false&show_reviews=false&no_link_description=false&map_modules=street_view,walkability&no_link_info_bubbles=true&height=500&footheight=0&width=500";
   }

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"> </script>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"> </script>
<script type="text/javascript" src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>

<link type="text/css" href="@Url.Content("~/Content/FlexSlide.css")" rel="stylesheet" />
<link type="text/css" href="@Url.Content("~/Content/FlexSlider.css")" rel="stylesheet" />
<style type="text/css">
     
    .FullTableView {margin: 0; padding: 0; border-collapse: collapse; border: 0;}
    .FullTableView td {padding:0;}
    .FullTableView img {display: block;height:80px;width:130px;}
    .FullTableView a{margin:0;border-spacing:0;}


    .img-responsive {
           height:250px;
           width:100%;
        }
        .jumbotron {
            width:100%;
            height:700px;
        }
        #Google_Map_Canvas {
            height: 346px;
            width: 100%;
            background: #CCCCCC;
        }


        /* Fade transition for carousel items */
        .carousel .item {
            left: 0 !important;
            -webkit-transition: opacity .4s; /*adjust timing here */
            -moz-transition: opacity .4s;
            -o-transition: opacity .4s;
                transition: opacity .4s;
        }
        .carousel-control {
            background-image: none !important; /* remove background gradients on controls */
        }

       /* Fade controls with items */
        .next.left,
            .prev.right {
                opacity: 1;
                z-index: 1;
        }
        .active.left,
            .active.right {
                 opacity: 0;
                 z-index: 2;
        }

    .container {
        width: 1000px;
    }

    </style>
    @*Function to get coordinates*@
        <script type="text/javascript">
            geocoder = new google.maps.Geocoder();

            function getCoordinates(address, Callback) {

                var coordinates;
                geocoder.geocode({ address: address }, function (results, status) {
                    coords_obj = results[0].geometry.location;
                    coordinates = [coords_obj.d, coords_obj.e];
                    Callback(coordinates);
                })
            }

        </script> 
    @*Function to load map into canvas*@

<script type="text/javascript">

    var map;

    function initialise() {
        var currentLocation;

        getCoordinates('@address', function (coor) {
            
                    currentLocation = new google.maps.LatLng(coor[0], coor[1]);

                    var mapOptions = {
                        center: currentLocation,
                        zoom: 15,
                        mapTypeId: google.maps.MapTypeId.ROADMAP
                    };

                    var map = new google.maps.Map(document.getElementById("Google_Map_Canvas"), mapOptions);

                    var marker = new google.maps.Marker({
                        position: currentLocation,
                        map: map
                    });

                });
    }

    

    $(document).ready(function () {
        initialise();
        $('#accordion').on('hidden.bs.collapse', toggleChevron);
        $('#accordion').on('shown.bs.collapse', toggleChevron);

        //if no house exist on image1 then dont expand panel
        if ('@Model.Listing.Image1Kitchen'.toLowerCase().indexOf('nohouse.png') < 0) { $("#Kitchen").collapse('show'); } else { $("#kitchenSection").hide(); };
        if ('@Model.Listing.Image1Bathroom'.toLowerCase().indexOf('nohouse.png') < 0) { $("#Bathroom").collapse('show'); } else { $("#bathroomSection").hide(); };
        if ('@Model.Listing.Image1Basement'.toLowerCase().indexOf('nohouse.png') < 0) { $("#Basement").collapse('show'); } else { $("#basementSection").hide(); };
        if ('@Model.Listing.Image1OBedroom'.toLowerCase().indexOf('nohouse.png') < 0) { $("#OBedroom").collapse('show'); } else { $("#otherBedroomSection").hide(); };
        if ('@Model.Listing.Image1Dining'.toLowerCase().indexOf('nohouse.png') < 0) { $("#DiningRoom").collapse('show'); } else { $("#diningRoomSection").hide(); };
        if ('@Model.Listing.Image1Family'.toLowerCase().indexOf('nohouse.png') < 0) { $("#FamilyRoom").collapse('show'); } else { $("#familyRoomSection").hide(); };
        if ('@Model.Listing.Image1OtherSection1'.toLowerCase().indexOf('nohouse.png') < 0) { $("#OtherSection1").collapse('show'); } else { $("#OtherSection1").hide(); };
        if ('@Model.Listing.Image1OtherSection2'.toLowerCase().indexOf('nohouse.png') < 0) { $("#OtherSection2").collapse('show'); } else { $("#OtherSection2").hide(); };
        if ('@Model.Listing.Image1OtherSection3'.toLowerCase().indexOf('nohouse.png') < 0) { $("#OtherSection3").collapse('show'); } else { $("#OtherSection3").hide(); };
        if ('@Model.Listing.Image1OtherSection4'.toLowerCase().indexOf('nohouse.png') < 0) { $("#OtherSection4").collapse('show'); } else { $("#OtherSection4").hide(); };
        

        $("#BathroomSwitch").on('click', ImageSwitcher);
        $("#BasementSwitch").on('click', ImageSwitcher);
        $("#KitchenSwitch").on('click', ImageSwitcher);
      //  $("#LocationSwitch").on('click', ImageSwitcher);
        $("#DiningSwitch").on('click', ImageSwitcher);
        $("#FamilySwitch").on('click', ImageSwitcher);
        $("#OBedroom").on('click', ImageSwitcher);

        $("#BathroomSwitch").on('mouseover', ImageSwitcher);
        $("#BasementSwitch").on('mouseover', ImageSwitcher);
        $("#KitchenSwitch").on('mouseover', ImageSwitcher);
        //  $("#LocationSwitch").on('click', ImageSwitcher);
        $("#DiningSwitch").on('mouseover', ImageSwitcher);
        $("#FamilySwitch").on('mouseover', ImageSwitcher);
        $("#OBedroom").on('mouseover', ImageSwitcher);

        $("#content_area").addClass("content_area_full_listing");
        $("#main").addClass("main_full_listing");
        $('#myCarousel').carousel({ interval: 3000, cycle: true });

        $('#myCarousel').on('slide.bs.carousel', function () {
        })

        $('.modal').appendTo("body");       
   
    });

    function hideModal(){
        $('#myModal').modal('hide');
    }


        function toggleChevron(e) {
            $(e.target)
                .prev('.panel-heading')
                .find("i.indicator")
                .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
        }
        
    </script>
    <script type="text/javascript">
        function ImageSwitcher(e) {
            var updatePic = e.currentTarget;
            var images = updatePic.getElementsByTagName('img');
            if (e.target.outerHTML.search('img').valueOf() == 1) {
                images[0].attributes[0].value = e.target.attributes[0].value;
            }
        }
    </script>

<!-- Walk Score Scripts & css-->
<script type='text/javascript'>
    var ws_wsid = '4735a54f91b55420be20e1395450411e';
    var ws_address = '@address.ToString()';
    var ws_width = "100%";
    var ws_height = '500';
    var ws_layout = 'horizontal';

</script>

  <style type='text/css'>
          #ws-walkscore-tile{position:inherit;text-align:center}
      </style>

   <script>
       $(document).ready(function () {
			BlankImages();      
           $('a.gallery').colorbox({ opacity: 0.5, rel: 'group1', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth:'80%', maxHeight:'78%'});
           $('a.galleryBath').colorbox({ opacity: 0.5, rel: 'group2', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryBasement').colorbox({ opacity: 0.5, rel: 'group3', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryOBedroom').colorbox({ opacity: 0.5, rel: 'group4', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryDining').colorbox({ opacity: 0.5, rel: 'group5', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryFamily').colorbox({ opacity: 0.5, rel: 'group6', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryOtherSection1').colorbox({ opacity: 0.5, rel: 'group7', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryOtherSection2').colorbox({ opacity: 0.5, rel: 'group8', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryOtherSection3').colorbox({ opacity: 0.5, rel: 'group9', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });
           $('a.galleryOtherSection4').colorbox({ opacity: 0.5, rel: 'group10', transition: 'elastic', innerWidth: '1000px', innerHeight: '1000px', scalePhotos: true, maxWidth: '80%', maxHeight: '78%' });

       });
        </script>


<script type="text/javascript">
    /// section image handler
    
    function BlankImages() {
        var images = document.getElementsByTagName('a');
        for (var i = 0; i < images.length; i++) {
            if (images[i].href.indexOf("nohouse") > 0) {
                images[i].className = "thumbnail";
                images[i].removeAttribute("href");
                images[i].childNodes[0].setAttribute("style", "visibility:hidden;");
            }
        }
    }

        </script>



<div id="fb-root"></div>
<script>(function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=664233603619644";
    fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>


<!-- Panel -->

@{
    List<string> VirtualSignImageList = new List<string>();
    VirtualSignImageList.Add(Model.Listing.Image1VirtualSign);
    VirtualSignImageList.Add(Model.Listing.Image2VirtualSign);
    VirtualSignImageList.Add(Model.Listing.Image3VirtualSign);
    VirtualSignImageList.Add(Model.Listing.Image4VirtualSign);
    VirtualSignImageList.Add(Model.Listing.Image5VirtualSign);
    VirtualSignImageList.Add(Model.Listing.Image6VirtualSign);
    var VirtualSignActiveList = VirtualSignImageList.Where(a => a.IndexOf("nohouse.png") < 0).ToList<string>();
    var publicLawnSignImage = Url.Encode(Model.Listing.PublicLawnSignImageUrl);
    var redirectUri = Url.Encode(Model.Listing.CientUrl);

}

        <!--div class="socialMediaArrow">

        </!--div>
        <!-- I got these buttons from simplesharebuttons.com -->
        <div id="share-buttons" >

        <!-- Facebook -->

        <ul>
            <li>
                <a class="socialLinks" href="http://www.casavue.com/externalService/uploadFlyerToSocialMedia?id=@Model.Listing.ListingId&sName=fb&caller=ViewFullListing"><img src="~/imgs/facebook.png" alt="Post to Facebook" title="Post to Facebook" /></a>
            </li>

            <li>
                <div class="fb-share-button" data-href="@Model.Listing.CientUrl" data-type="box_count"></div>
            </li>


        @{
            string listPrice = Url.Encode(Model.Listing.ListPrice.ToString("C"));
            string propertyType = Model.Listing.PropertyType;
            string squareFootage = Model.Listing.SquareFootage.ToString("N");
            string noOfBedrooms = Model.Listing.NoOfBedrooms.ToString("N");
            string noOfBathrooms = Model.Listing.NoOfBathrooms.ToString("N");                   
        }
            
        <li>
            <a class="socialLinks" href="http://twitter.com/share?url=@Model.Listing.CientUrl&text=Private Sale: @propertyType, @squareFootage sq ft, Beds: @Model.Listing.NoOfBedrooms.ToString(), Bath: @noOfBathrooms , Price: @listPrice" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"    target="_blank"><img src="~/imgs/twitter.png" alt="Twitter" /></a>
            
<a href="@Model.Listing.CientUrl" class="twitter-share-button" data-via="dellyjm">Tweet</a>
<script>!function (d, s, id) { var js, fjs = d.getElementsByTagName(s)[0], p = /^http:/.test(d.location) ? 'http' : 'https'; if (!d.getElementById(id)) { js = d.createElement(s); js.id = id; js.src = p + '://platform.twitter.com/widgets.js'; fjs.parentNode.insertBefore(js, fjs); } }(document, 'script', 'twitter-wjs');</script>
        </li>
   
            <!-- LinkedIn -->
        <!--a href="http://www.linkedin.com/shareArticle?mini=true&url=@Model.Listing.CientUrl" target="_blank" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><img src="~/imgs/linkedin.png" alt="LinkedIn" /></!--a-->

        <!--li><a class="socialLinks" href="@Url.Content("/externalService/uploadFlyerToSocialMedia?id=@Model.Listing.ListingId&sName=linkedin&caller=ViewFullListing")"><img src="~/imgs/linkedin.png" alt="LinkedIn" /></a></!--li-->
        <li><a class="socialLinks" href="http://www.casavue.com/externalService/uploadFlyerToSocialMedia?id=@Model.Listing.ListingId&sName=linkedin&caller=ViewFullListing"><img src="~/imgs/linkedin.png" alt="LinkedIn" /></a></li>

        <!-- Pinterest -->
        <li>
            <!--a-- class="socialLinks" href="//gb.pinterest.com/pin/create/button/?url=http%3A%2F%2Fwww.flickr.com%2Fphotos%2Fkentbrew%2F6851755809%2F&media=http%3A%2F%2Ffarm8.staticflickr.com%2F7027%2F6851755809_df5b2051c9_z.jpg&description=Next%20stop%3A%20Pinterest" data-pin-do="buttonPin" data-pin-config="beside"><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" /></!--a-->
            <a class="socialLinks" href="//gb.pinterest.com/pin/create/button/?url=@Model.Listing.CientUrl&description=House%20for%20Sale&media=@Model.Listing.PublicLawnSignImageUrl" data-pin-do="buttonPin" data-pin-config="beside"></a>
            <!-- Please call pinit.js only once per page -->
            <script type="text/javascript" async src="//assets.pinterest.com/js/pinit.js"></script>

        </li>

                        
        <!-- Google+ -->
        <li><a class="socialLinks" href="https://plus.google.com/share?url=@Model.Listing.CientUrl" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><img src="~/imgs/google.png" alt="Google" /></a></li>

        <!-- Reddit >
        <li><a class="socialLinks" href="http://reddit.com/submit?url=@Model.Listing.CientUrl&title=Private Sale" target="_blank" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><img src="~/imgs/reddit.png" alt="Reddit" /></a></li-->
        </ul>
        </div>


@{
    
    bool isListingOwner = false;
    string packageSelected;
    string badgeToDisplay = string.Empty;
        
    UserProfile userX = null;
    UserProfile listingOwner = new UserProfile();
    
    using (UsersContext db = new UsersContext()){

        UserPackages userPackages = db.UserPackages.Find(Model.Listing.UserId);
        UserPackageTypes selectedPackage = db.UserPackageTypes.Find(userPackages.PackageTypeId);
        listingOwner = db.UserProfiles.Find(Model.Listing.UserId);
        
        
        packageSelected = selectedPackage.Name;

            if (packageSelected.ToLower() == "bronze")
            {
                badgeToDisplay = "/images/entrylevel-member-badge.png";
            }

            if (packageSelected.ToLower() == "silver")
            {
                badgeToDisplay = "/images/premium-member-badge.png";
            }

            if (packageSelected.ToLower() == "gold")
            {
                badgeToDisplay = "/images/supreme-member-badge.png";
            }        
    }
    
    if (WebSecurity.IsAuthenticated)
    {
        using (UsersContext db = new UsersContext())
        {
            if (WebSecurity.Initialized)
            {
                userX = db.UserProfiles.Find(WebSecurity.CurrentUserId);

                if (userX.UserId == Model.Listing.UserId)
                {
                    isListingOwner = true;
                }                
            }
        }
    }}

<div class="details_holder">
<div class="container">                                                 


    <div style="height:50px">&nbsp;</div>
        <div class="panel-group" id="accordion">
    <div class="panel panel-primary">
            <div class="panel-heading">
              <h4 class="panel-title">		
        		        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#PropertySummary">
                             Property Summary and Highlights
                            <i class="indicator glyphicon glyphicon-chevron-down pull-right"></i>
       	                </a>
              </h4>
            </div>
            <div id="PropertySummary" class="panel-collapse collapse in">
              <div class="panel-body">
                <!--   Row 1       -->

                        <div class="row">                
                            <table border="1" class="table-condensed" style="margin-left:4px; margin-right:4px; width:90%;">
                                <tr class="success">
                                    <td  style="width:200px"><img src="@badgeToDisplay" /></td>
                                     @{                                                  
                                    if (isListingOwner){
                                        @:<td colspan="3">
                                                   @Html.ActionLink("Update My Listing", "ListingTemplate", "Listing", new { @id = TempData["UniqueListId"] }, new { @class = "btn btn-default btn-sm" })
                                        @:</td>
                                    }
                                   }
                                <tr>
                                <tr>
                                    <td style="width:200px"><b>Price:</b> <label style="color:green; font-size:30px; font-weight:900">@if(!Model.Listing.DontShowListPrice){@Html.DisplayFor(g => g.Listing.ListPrice).ToString()}</label></td>
                                    <td style="width:150px"><b>Bedrooms: &nbsp;</b><label style="color:green; font-size:30px; font-weight:900">@Html.DisplayFor(g => g.Listing.NoOfBedrooms).ToString()</label></td>
                                    <td style="width:150px"><b>Bathrooms: &nbsp;</b><label style="color:green; font-size:30px; font-weight:900">@Html.DisplayFor(g => g.Listing.NoOfBathrooms).ToString()</label></td>
                                    
                                    <td style="width:150px"><b>SQ Ft: &nbsp;</b><label style="color:green; font-size:30px; font-weight:900">@if(!Model.Listing.DontShowSquareFootage){@Html.DisplayFor(g => g.Listing.SquareFootage).ToString()}</label></td>
                                    

                                </tr>
                            </table>                            

                            <div>
                                <p style="vertical-align:top"></p>
                            </div>
                            <div class="col-md-10">                                    
                            </div>
                            </div>

                        
                        <!--   Row 2       -->

                        <div class="row">

                                <div class="col-sm-5">
                                        <div id="myCarousel" class="carousel slide">  
                                            
                                           <ol class="carousel-indicators">
                                               @for (int i = 0; i < VirtualSignActiveList.Count; i++)
                                               {
                                                   if (i == 0)
                                                   {
                                                      <li data-target="#myCarousel" data-slide-to="@i" class="active"></li>
                                                   }
                                                   else
                                                   {
                                                     <li data-target="#myCarousel" data-slide-to="@i"></li>
                                                   }

                                               }
                                       <!--         <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                                                <li data-target="#myCarousel" data-slide-to="1"></li>
                                                <li data-target="#myCarousel" data-slide-to="2"></li>
                                                <li data-target="#myCarousel" data-slide-to="3"></li>
                                                <li data-target="#myCarousel" data-slide-to="4"></li>
                                                <li data-target="#myCarousel" data-slide-to="5"></li>
                                    -->
                                           </ol>
                                                    <!-- Carousel items -->  
                                                <div class="carousel-inner">  
                                                    
                                                    @for (int i = 0; i < VirtualSignActiveList.Count; i++)
                                                    {
                                                        if (i == 0)
                                                        {
                                                           @: <div class="active item"><img src="@Url.Content(VirtualSignActiveList[i])" class="img-responsive" alt="@string.Join("Image", i)" /></div>
                                                        }
                                                        else
                                                        {
                                                           @: <div class="item"><img src="@Url.Content(VirtualSignActiveList[i])"  class="img-responsive" alt="@string.Join("Image", i)" /></div>
                                                        }
                                                    }
                                                    <!--
                                                   <div class="active item"><img src="@Url.Content(Model.Listing.Image1VirtualSign)" class="img-responsive" alt="Image1" style="height:500px;"/></div>  
                                                   <div class="item"><img src="@Url.Content(Model.Listing.Image2VirtualSign)"  class="img-responsive" alt="Image2" style="height:500px;"/></div>  
                                                   <div class="item"><img src="@Url.Content(Model.Listing.Image3VirtualSign)" class="img-responsive" alt="Image3" style="height:500px;"/></div>  
                                                   <div class="item"><img src="@Url.Content(Model.Listing.Image4VirtualSign)" class="img-responsive" alt="Image4" style="height:500px;"/></div>  
                                                   <div class="item"><img src="@Url.Content(Model.Listing.Image5VirtualSign)" class="img-responsive" alt="Image5" style="height:500px;"/></div>  
                                                   <div class="item"><img src="@Url.Content(Model.Listing.Image6VirtualSign)" class="img-responsive" alt="Image6" style="height:500px;"/></div>  
                                                    -->
                                                </div>  
                                                 <!-- Carousel nav -->  
                                              <a class="carousel-control left" href="#myCarousel" data-slide="prev">‹</a>  
                                              <a class="carousel-control right" href="#myCarousel" data-slide="next">›</a>  
                                        </div> 
                                    </div>



                                 <div class="col-md-7" >
                                   <!--  <div class="jumbotron"id="Google_Map_Canvas" style="height:500px;">MAP</div> -->
                                     <div class="jumbotron"id="ws-walkscore-tile" style="height:500px;"></div>
                                  </div>
                                 </div>

                                <hr />  
                        <!------     Row3          ----->  
                                    <div class="row">
                                        <div class="col-md-6">
                                            <ul class="list-group">
                                                <li class="list-group-item"><b>Seller Description:</b></li>
                                                <li class="list-group-item">@Html.DisplayFor(x => x.Listing.MainSellingDesc)</li>
                                            </ul>

                                            </div>
                                        <div class="col-md-6">
                                            <ul class="list-group">
                                                <li class="list-group-item"><b>Property Description:</b></li>
                                                @if (Model.Listing.VideoLink != "No Video" && !(Model.Listing.VideoLink.Contains("nohouse")))
                                                {
                                                    if(Path.GetExtension(Model.Listing.VideoLink)=="mp4")
                                                    {
                                                         <li class="list-group-item">
                                                            <video  controls preload="auto"height="100%" width="100%"><source src="@Model.Listing.VideoLink" type="video/mp4" id="VideoLink">Your browser does not support the video tag.</video>
                                                         </li>
                                                    }
                                                    else{
                                                          @*  <li>
                                                        
                                                                <object id="MediaPlayer1" classid="CLSID:22D6F312-B0F6-11D0-94AB-0080C74C7E95" hspace="0" vspace="0" standby="Loading Microsoft Windows Media Player components...">
                                                                        <param name="Filename" value="@Model.Listing.VideoLink">

                                                                        <embed type="application/x-mplayer2" pluginspage="http://www.microsoft.com/Windows/MediaPlayer/" name="mediaplayer1" autoplay="false" autostart="false" height="100%" width="100%" loop="false" controls="true" allowFullscreen="True" src="@Model.Listing.VideoLink">
                                                               </object>
                                                        
                                                           </li>  *@ 
                                                    }
                                                }
                                                <li class="list-group-item">
                                      <table class="table table-striped"> 
                                            <tbody>
                                              <tr class="row">
                                                <td class="col-md-6">Home Type:</td>
                                                <td class="col-md-6">@Html.DisplayFor(x => x.Listing.PropertyType).ToString()</td>
                                              </tr>
                                              <tr class="row">
                                                <td class="col-md-6">Heat Type:</td>
                                                <td class="col-md-6">@Html.DisplayFor(x => x.Listing.heatType).ToString()</td>
                                              </tr>
                                                <tr class="row">
                                                <td class="col-md-6">A/C:</td>
                                                <td class="col-md-6">@ANSWER(Model.Listing.hasAC)</td>
                                              </tr>
                                                <tr class="row">
                                                <td class="col-md-6">Garage:</td>
                                                <td class="col-md-6">@ANSWER(Model.Listing.hasGarage)</td>
                                              </tr>
                                                <tr class="row">
                                                <td class="col-md-6">Finished Basement:</td>
                                                <td class="col-md-6">@ANSWER(Model.Listing.hasFinishedBasement)</td>
                                              </tr>
                                                <tr class="row">
                                                <td class="col-md-6">Basement:</td>
                                                <td class="col-md-6">@ANSWER(Model.Listing.hasBasement)</td>
                                              </tr>
                                              <tr>
                                                <tr class="row">
                                                <td class="col-md-6">Annual Taxes:</td>
                                                <td class="col-md-6">@Html.DisplayFor(g => g.Listing.annualTaxes).ToString( )</td>
                                              </tr>
                                            </tbody>
                                          </table>

                                            </li>
                                            </ul>
                                            </div>
                                        </div>
 
                  <div class="row">
                      <div>
                    <div class="pull-left">
                    @{
                        if (WebSecurity.IsAuthenticated)
                        {
                            if (!Model.Listing.PrivateSellerOption)
                            {
                                UserProfile user = null;
                                using (UsersContext db = new UsersContext())
                                {
                                    if (WebSecurity.Initialized)
                                    {
                                        user = db.UserProfiles.Find(WebSecurity.CurrentUserId);

                                        if (user.UserId != Model.Listing.UserId)
                                        {                          
                                            <a href="#" data-toggle="modal" data-target="#myModal" class="btn btn-default">Send Seller a message</a>
                                        }
                                    }
                                }
                            }
                            else
                            {
                               <label>Contact CasaVue 1888-CasaVue to get in touch with the seller</label>   
                            }
                        }
                        else
                        {
                             @Html.ActionLink("Register to send a Seller a message", "Register", "Account", new { @UserType = "Buyer", @RedirectUrl = TempData["RedirectUrl"].ToString() }, new { @class = "btn btn-primary" })
                                
                        }
                    }
                   <div>
                    
                   
                        
                        
                        <!-- Modal -->
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    @using (Ajax.BeginForm("SendMessage", "Listing", Model.Message, new AjaxOptions() { HttpMethod = "POST", OnSuccess = "hideModal" }, new { @class = "form-horizontal", @role = "form", id = "frmSendMessage" }))
                    {

                        // Model.Message.to = Model.Message.to;
                        //Model.Message.ListingId = Model.Message.ListingId;

                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                        <h4 class="modal-title" id="myModalLabel">Send message to: @Html.DisplayFor(m => m.Message.UserId).ToString()</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="panel-body">
                                            <div class="form-group">
                                                @Html.LabelFor(m => m.Message.Subject, "Subject", new { @class = "col-sm-3 control-label", @placeholder = "Subject" })
                                                <div class="col-sm-8">
                                                    @Html.TextBoxFor(m => m.Message.Subject, new { @class = "form-control", @placeholder = "Subject" })
                                                </div>
                                                <div style="width:8%;" class="col-sm-4">
                                                    @Html.ValidationMessageFor(m => m.Message.Subject)
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                @Html.LabelFor(m => m.Message.Body, "Message ", new { @class = "col-sm-3 control-label" })
                                                <div class="col-sm-8">
                                                    @Html.TextAreaFor(m => m.Message.Body, new { @class = "form-control", @placeholder = "Message", @rows = "3", @maxlength = "200", id = "Message.Body" })
                                                </div>
                                                <div class="col-sm-4">
                                                    @Html.ValidationMessageFor(m => m.Message.Body)
                                                </div>
                                            </div>                                            
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                            <input type="submit" value="Send Message" id="btnSendMessage" class="btn btn-primary" data-loading-text="Sending..."/>
                                                        @Html.HiddenFor(m => m.Message.to)
                                                        @Html.Hidden("Message.ListingId", Model.Listing.ListingId)
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                    }
                        </div>
                </div>

            </div>
           </div>
        </div>
              </div>
            </div>
          </div> 
            @if ((Model.Listing.isKitchenPublic) && (!Model.Listing.Image1Kitchen.Contains("nohouse.png")))
            {
                <div class="panel panel-primary" id="kitchenSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#Kitchen">
            Exterior-Outdoor 
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="Kitchen" class="panel-collapse collapse">
      <div class="panel-body">
       <!---- Kitchen Panel Setup ---->
          <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group">
                            <li class="list-group-item"><b>Description:</b></li>
                            <li class="list-group-item">@Html.DisplayFor(x => x.Listing.KitchenDesc)</li>
                        </ul>
                    </div>

           <div class="col-md-6">
               <section class="slider">
        <div id="KitchenSlide" class="flexslider">
          <ul class="slides">
              @foreach(var item in Model.Listing.KitchenImages)
              {
                  <li><a href="@item" class="thumbnail gallery"><img src="@item" /></a></li>              
              }
          </ul>
        </div>
        <div id="KitchenCarousel" class="flexslider">
          <ul class="slides">
              @foreach(var item in Model.Listing.KitchenImages)
              {<li><img src="@item" /></li>}
          </ul>
        </div>
      </section>
            </div>
        </div>
        
      </div>
    </div>
  </div>
            }
            @if ((Model.Listing.isBathroomPublic) && (!Model.Listing.Image1Bathroom.Contains("nohouse.png")))
            {
                <div class="panel panel-primary" id="bathroomSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#Bathroom">
            Kitchen 
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="Bathroom" class="panel-collapse collapse">
      <div class="panel-body">
          <!---- Bathroom Panel Setup ---->
          <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group">
                            <li class="list-group-item"><b>Description:</b></li>
                            <li class="list-group-item">@Html.DisplayFor(x => x.Listing.BathroomDesc)</li>
                        </ul>
                    </div>
           <div class="col-md-6">

               <section class="slider">
                        <div id="BathroomSlide" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.BathroomImages)
                              {
                                  <li><a href="@item" class="thumbnail galleryBath"><img src="@item" /></a></li>              
                              }
                          </ul>
                        </div>
                        <div id="BathroomCarousel" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.BathroomImages)
                              {<li><img src="@item" /></li>}
                          </ul>
                        </div>
                </section>
            </div>
        </div>
        
      </div>
    </div>
  </div>
            }
            @if ((Model.Listing.isBasementPublic) && (!Model.Listing.Image1Basement.Contains("nohouse.png")))
            {
                <div class="panel panel-primary"  id="basementSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#Basement">
            Living Room 
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="Basement" class="panel-collapse collapse">
      <div class="panel-body">
           <!---- Basement Panel Setup ---->
          <div class="row">
                <div class="col-md-6">
                    <ul class="list-group">
                        <li class="list-group-item"><b>Description:</b></li>
                        <li class="list-group-item">@Html.DisplayFor(x => x.Listing.BasementDesc)</li>
                    </ul>
                </div>
           <div class="col-md-6">

               <section class="slider">
                        <div id="BasementSlide" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.BasementImages)
                              {
                                  <li><a href="@item" class="thumbnail galleryBasement"><img src="@item" /></a></li>              
                              }
                          </ul>
                        </div>
                        <div id="BasementCarousel" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.BasementImages)
                              {<li><img src="@item" /></li>}
                          </ul>
                        </div>
                </section>
            </div>
        </div>
      </div>
    </div>
  </div>
            }
            @if ((Model.Listing.isBedroomPublic) && (Model.Listing.Image1OBedroom.Contains("nohouse.png") == false))
            {
                <div class="panel panel-primary"  id="otherBedroomSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#OBedroom">
            Den-Family Room
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="OBedroom" class="panel-collapse collapse">
      <div class="panel-body">
        <!---- Other Bedroom Panel Setup ---->
          <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group">
                            <li class="list-group-item"><b>Description:</b></li>
                            <li class="list-group-item">@Html.DisplayFor(x => x.Listing.OBedroomDesc)</li>
                        </ul>
                    </div>
           <div class="col-md-6">

               <section class="slider">
                        <div id="OBedroomSlide" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.OBedroomImages)
                              {
                                  <li><a href="@item" class="thumbnail galleryOBedroom"><img src="@item" /></a></li>              
                              }
                          </ul>
                        </div>
                        <div id="OBedroomCarousel" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.OBedroomImages)
                              {<li><img src="@item" /></li>}
                          </ul>
                        </div>
                </section>
                               @* <table id="OBedroomSwitch" class="FullTableView"> 
                                        <tbody>
                                            <tr>
                                                <td colspan='3'><a href="@Url.Content(Model.Listing.Image1OBedroom)"  class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image1OBedroom)" class="img-responsive"   style="width:85%; height:200px" ></a></td>
                                              </tr>
                                              <tr>
                                                <td colspan="3">
                                                  <table border="0">
                                                      <tr>
                                                        <td><a href="@Url.Content(Model.Listing.Image1OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image1OBedroom)" class="img-responsive"></a></td>                      
                                                        <td><a href="@Url.Content(Model.Listing.Image2OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image2OBedroom)" class="img-responsive"></a></td>
                                                        <td><a href="@Url.Content(Model.Listing.Image3OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image3OBedroom)" class="img-responsive"></a></td> 
                                                        <td><a href="@Url.Content(Model.Listing.Image4OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image4OBedroom)" class="img-responsive"></a></td>                      
                                                        <td><a href="@Url.Content(Model.Listing.Image5OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image5OBedroom)" class="img-responsive"></a></td>
                                                        <td><a href="@Url.Content(Model.Listing.Image6OBedroom)" class="thumbnail galleryOBedroom"><img src="@Url.Content(Model.Listing.Image6OBedroom)" class="img-responsive"></a></td>
                                                       </tr>
                                                      </table>
                                                    </td>
                                              </tr>
                                            </tbody>
                                          </table> *@
                    </div>
        </div>
      </div>
    </div>
  </div>
            }
            @if ((Model.Listing.isDiningPublic) && (! Model.Listing.Image1Dining.Contains("nohouse.png")))
            {
                <div class="panel panel-primary"  id="diningRoomSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#DiningRoom">
            Dining Room 
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="DiningRoom" class="panel-collapse collapse">
      <div class="panel-body">
       <!---- Dining Panel Setup ---->
          <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group">
                            <li class="list-group-item"><b>Description:</b></li>
                            <li class="list-group-item">@Html.DisplayFor(x => x.Listing.DiningDesc)</li>
                        </ul>
                    </div>
           <div class="col-md-6">
               <section class="slider">
                        <div id="DiningSlide" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.DiningImages)
                              {
                                  <li><a href="@item" class="thumbnail galleryDining"><img src="@item" /></a></li>              
                              }
                          </ul>
                        </div>
                        <div id="DiningCarousel" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.DiningImages)
                              {<li><img src="@item" /></li>}
                          </ul>
                        </div>
                </section>
                             @*   <table  id="DiningSwitch" class="FullTableView"> 
                                        <tbody>
                                            <tr>
                                                <td  colspan='3'><a href="@Url.Content(Model.Listing.Image1Dining)"  class="thumbnail galleryDining"><img src="@Url.Content(Model.Listing.Image1Dining)" class="img-responsive"   style="width:85%; height:200px" ></a></td>
                                              </tr>
                                              <tr>
                                                <td colspan="3">
                                                  <table border="0">
                                                      <tr>
                                                        <td ><a  href="@Url.Content(Model.Listing.Image1Dining)" class="thumbnail galleryDining"><img src=" @Url.Content(Model.Listing.Image1Dining)" class="img-responsive"></a></td>                      
                                                        <td ><a  href="@Url.Content(Model.Listing.Image2Dining)" class="thumbnail galleryDining"><img src="@Url.Content(Model.Listing.Image2Dining)" class="img-responsive"></a></td>
                                                        <td ><a  href="@Url.Content(Model.Listing.Image3Dining)" class="thumbnail galleryDining"><img src="@Url.Content(Model.Listing.Image3Dining)" class="img-responsive"></a></td> 
                                                        <td><a   href="@Url.Content(Model.Listing.Image4Dining)" class="thumbnail galleryDining" style="border-spacing:0px;"><img src="@Url.Content(Model.Listing.Image4Dining)" class="img-responsive"></a></td>                      
                                                        <td><a   href="@Url.Content(Model.Listing.Image5Dining)" class="thumbnail galleryDining" style="padding:0px;"><img src="@Url.Content(Model.Listing.Image5Dining)" class="img-responsive"></a></td>
                                                        <td><a   href="@Url.Content(Model.Listing.Image6Dining)" class="thumbnail galleryDining" style="padding:0px;"><img src="@Url.Content(Model.Listing.Image6Dining)" class="img-responsive"></a></td>
                                                      </tr>
                                                      </table>
                                                 </td>                 
                                              </tr>
                                            </tbody>
                                          </table> *@
            </div>
        </div>
        
      </div>
      </div>
    </div>
            }


            @if ((Model.Listing.isFamilyRoomPublic)  && (! Model.Listing.Image1Family.Contains("nohouse.png")))
            {
                <div class="panel panel-primary" id="familyRoomSection">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#FamilyRoom">
            Master Bedroom 
            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
        </a>
      </h4>
    </div>
    <div id="FamilyRoom" class="panel-collapse collapse">
      <div class="panel-body">
        <!---- Family Room Panel Setup ---->
          <div class="row">
                    <div class="col-md-6">
                        <ul class="list-group">
                            <li class="list-group-item"><b>Description:</b></li>
                            <li class="list-group-item">@Html.DisplayFor(x => x.Listing.FamilyDesc)</li>
                        </ul>
                    </div>
           <div class="col-md-6">
               <section class="slider">
                        <div id="FamilySlide" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.FamilyImages)
                              {
                                  <li><a href="@item" class="thumbnail galleryFamily"><img src="@item" /></a></li>              
                              }
                          </ul>
                        </div>
                        <div id="FamilyCarousel" class="flexslider">
                          <ul class="slides">
                              @foreach(var item in Model.Listing.FamilyImages)
                              {<li><img src="@item" /></li>}
                          </ul>
                        </div>
                </section>
                               @* <table id="FamilySwitch" class="FullTableView"> 
                                        <tbody>
                                            <tr>
                                                <td colspan='3'><a href="@Url.Content(Model.Listing.Image1Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image1Family)" class="img-responsive"  style="width:85%; height:200px" ></a></td>
                                              </tr>
                                              <tr>
                                                <td colspan="3">
                                                  <table border="0">
                                                      <tr>
                                                        <td><a  href="@Url.Content(Model.Listing.Image1Family)" class="thumbnail galleryFamily"><img src=" @Url.Content(Model.Listing.Image1Family)" class="img-responsive"></a></td>                      
                                                        <td><a  href="@Url.Content(Model.Listing.Image2Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image2Family)" class="img-responsive" ></a></td>
                                                        <td><a  href="@Url.Content(Model.Listing.Image3Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image3Family)" class="img-responsive" ></a></td> 
                                                        <td><a  href="@Url.Content(Model.Listing.Image4Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image4Family)" class="img-responsive" ></a></td>                      
                                                        <td><a  href="@Url.Content(Model.Listing.Image5Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image5Family)" class="img-responsive" ></a></td>
                                                        <td><a  href="@Url.Content(Model.Listing.Image6Family)" class="thumbnail galleryFamily"><img src="@Url.Content(Model.Listing.Image6Family)" class="img-responsive" ></a></td>
                                                      </tr>
                                                   </table>
                                                 </td>
                                              </tr>
                                            </tbody>
                                          </table> *@
            </div>
        </div>
        
      </div>
      </div>

                





    </div>
            }


            @if ((Model.Listing.isOtherSection1Public) && (! Model.Listing.Image1OtherSection1.Contains("nohouse.png")))
            {
          <div class="panel panel-primary" id="otherSection1Section">
            <div class="panel-heading">
              <h4 class="panel-title">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#OtherSection1">
                   Other bedroom <!--Family Room/Den -->
                    <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </a>
              </h4>
            </div>
            <div id="OtherSection1" class="panel-collapse collapse">
              <div class="panel-body">
                  <div class="row">
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item"><b>Description:</b></li>
                                    <li class="list-group-item">@Html.DisplayFor(x => x.Listing.OtherSection1Desc)</li>
                                </ul>
                            </div>
                   <div class="col-md-6">
                       <section class="slider">
                                <div id="OtherSection1Slide" class="flexslider">
                                  <ul class="slides">
                                      @foreach(var item in Model.Listing.OtherSection1Images)
                                      {
                                          <li><a href="@item" class="thumbnail galleryOtherSection1"><img src="@item" /></a></li>              
                                      }
                                  </ul>
                                </div>
                                <div id="OtherSection1Carousel" class="flexslider">
                                  <ul class="slides">
                                      @foreach (var item in Model.Listing.OtherSection1Images)
                                      {<li><img src="@item" /></li>}
                                  </ul>
                                </div>
                        </section>
                    </div>
                </div>
        
              </div>
              </div>
           </div>
            }

            @if ((Model.Listing.isOtherSection2Public) && (! Model.Listing.Image1OtherSection2.Contains("nohouse.png")))
            {
          <div class="panel panel-primary" id="otherSection2Section">
            <div class="panel-heading">
              <h4 class="panel-title">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#OtherSection2">
                    Basement <!--Family Room/Den -->
                    <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </a>
              </h4>
            </div>
            <div id="OtherSection2" class="panel-collapse collapse">
              <div class="panel-body">
                <!---- Family Room Panel Setup ---->
                  <div class="row">
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item"><b>Description:</b></li>
                                    <li class="list-group-item">@Html.DisplayFor(x => x.Listing.OtherSection2Desc)</li>
                                </ul>
                            </div>
                   <div class="col-md-6">
                       <section class="slider">
                                <div id="OtherSection2Slide" class="flexslider">
                                  <ul class="slides">
                                      @foreach(var item in Model.Listing.OtherSection2Images)
                                      {
                                          <li><a href="@item" class="thumbnail galleryOtherSection2"><img src="@item" /></a></li>              
                                      }
                                  </ul>
                                </div>
                                <div id="OtherSection2Carousel" class="flexslider">
                                  <ul class="slides">
                                      @foreach (var item in Model.Listing.OtherSection2Images)
                                      {<li><img src="@item"  /></li>}
                                  </ul>
                                </div>
                        </section>
                    </div>
                </div>
        
              </div>
              </div>
           </div>
            }


            @if ((Model.Listing.isOtherSection3Public) && (! Model.Listing.Image1OtherSection3.Contains("nohouse.png")))
          {
          <div class="panel panel-primary" id="otherSection3Section">
            <div class="panel-heading">
              <h4 class="panel-title">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#OtherSection3">
                    Bathrooms <!--Family Room/Den -->
                    <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </a>
              </h4>
            </div>
            <div id="OtherSection3" class="panel-collapse collapse">
              <div class="panel-body">
                <!---- Family Room Panel Setup ---->
                  <div class="row">
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item"><b>Description:</b></li>
                                    <li class="list-group-item">@Html.DisplayFor(x => x.Listing.OtherSection3Desc)</li>
                                </ul>
                            </div>
                   <div class="col-md-6">
                       <section class="slider">
                                <div id="OtherSection3Slide" class="flexslider">
                                  <ul class="slides">
                                      @foreach(var item in Model.Listing.OtherSection3Images)
                                      {
                                          <li><a href="@item" class="thumbnail galleryOtherSection3"><img src="@item" /></a></li>              
                                      }
                                  </ul>
                                </div>
                                <div id="OtherSection3Carousel" class="flexslider">
                                  <ul class="slides">
                                      @foreach (var item in Model.Listing.OtherSection3Images)
                                      {<li><img src="@item" /></li>}
                                  </ul>
                                </div>
                        </section>
                    </div>
                </div>
        
              </div>
              </div>
           </div>
            }

            @if ((Model.Listing.isOtherSection4Public) && (! Model.Listing.Image1OtherSection4.Contains("nohouse.png")))
          {
          <div class="panel panel-primary" id="otherSection4Section">
            <div class="panel-heading">
              <h4 class="panel-title">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#OtherSection4">
                    Other areas of the house <!--Family Room/Den -->
                    <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </a>
              </h4>
            </div>
            <div id="OtherSection4" class="panel-collapse collapse">
              <div class="panel-body">
                <!---- Family Room Panel Setup ---->
                  <div class="row">
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item"><b>Description:</b></li>
                                    <li class="list-group-item">@Html.DisplayFor(x => x.Listing.OtherSection4Desc)</li>
                                </ul>
                            </div>
                   <div class="col-md-6">
                       <section class="slider">
                                <div id="OtherSection4Slide" class="flexslider">
                                  <ul class="slides">
                                      @foreach(var item in Model.Listing.OtherSection4Images)
                                      {
                                          <li><a href="@item" class="thumbnail galleryOtherSection4"><img src="@item" /></a></li>              
                                      }
                                  </ul>
                                </div>
                                <div id="OtherSection4Carousel" class="flexslider">
                                  <ul class="slides">
                                      @foreach (var item in Model.Listing.OtherSection4Images)
                                      {<li><img src="@item" /></li>}
                                  </ul>
                                </div>
                        </section>
                    </div>
                </div>
        
              </div>
              </div>
           </div>
            }

    <!-- Contact Info-->
    <div class="panel panel-primary" id="ContactInfoSection">
                <div class="panel-heading">
                    <div id="accordionContactInfo">
                        <h4 class="panel-title">
                            <a class="accordion-toggle" data-parent="#accordion" href="#ContactInfo">
                                Contact Information
                                <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                            </a>
                        </h4>
                    </div>
                   </div>
   
        <div id="ContactInfo" class="panel-collapse collapse in">
            <div class="panel-body">
                <div class="row">

                    <table id="ContactSwitch" style="width:90%;" class="table table-striped">
                        <tr>
                            <td style="width:45%;">
                                <img src="@badgeToDisplay" />
                            </td>
                            <td style="width:55%;" valign="bottom">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table class="table table-striped">
                                    <tr>
                                        <td>
                                            Seller's Name:
                                        </td>
                                        <td> @listingOwner.FirstName  @listingOwner.LastName</td>
                                    </tr>
                                    <tr>
                                        <td>Phone (Cell):</td>
                                        <td>
                                            @{
                                                if (!Model.Listing.DontShowPhoneNo)
                                                {
                                                    @listingOwner.PhoneNumberCell
                                                }
                                                else
                                                {
                                                    @Model.Listing.TollFreeNumber;
                                                }
                                            }
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Phone (Landline):
                                        </td>
                                        <td>
                                            @{
                                                if (!Model.Listing.DontShowPhoneNo)
                                                {
                                                    @listingOwner.PhoneNumberLandLine
                                                }
                                                else
                                                {
                                                    @Model.Listing.TollFreeNumber;
                                                }
                                            }

                                        </td>
                                    </tr>
                                    <tr>
                                        @{
                                            if (!isListingOwner)
                                            { 
                                                <td> Comments</td>
                                            }
                                        }
                                        <td>
                                            @{
                                                if (!isListingOwner)
                                                {
                                                    if (WebSecurity.IsAuthenticated)
                                                    {
                                                        using (Ajax.BeginForm("SendMessage", "Listing", Model.Message, new AjaxOptions { HttpMethod = "POST", OnFailure = "alert('An error occurred while sending comment. Comment not sent.')" }, new { @class = "form-horizontal", @role = "form", id = "frmSendComment" }))
                                                        {
                                                            Model.Message.to = Model.Message.to;
                                                            Model.Message.ListingId = Model.Listing.ListingId;
                                                            Model.Message.Subject = "Comments Message";
                                                            @Html.HiddenFor(d => d.Message.to)
                                                            @Html.HiddenFor(d => d.Message.ListingId)
                                                            @Html.HiddenFor(d => d.Message.Subject)
                                                            @Html.TextAreaFor(d => d.Message.Body, new { @class = "form-control", @placeholder = "Comment", @rows = "3", @maxlength = "200" })
                                                            <br />
                                                            <input type="submit" value="Send Comment" id="btnSendComment" class="btn btn-primary" />
                                                        }

                                                    }
                                                    else
                                                    {
                                                        @Html.ActionLink("Register to send a Seller a message", "Register", "Account", new { @UserType = "Buyer", @RedirectUrl = TempData["RedirectUrl"].ToString() }, new { @class = "btn btn-primary" })
                                                    }
                                                }
                                                
                                            }
                                            
                                        </td>
                                    </tr>

                                </table>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>

 </div>
   
        

  </div> <!-- End of accordion-->

</div>
</div>
<script src="~/Scripts/jquery.colorbox.js"></script>
<script type='text/javascript' src='http://www.walkscore.com/tile/show-walkscore-tile.php'></script>
<script type="text/javascript" src="~/Scripts/flexslider.js"> </script>
<script>

    $('head').append('<meta property="og:image" content="@Model.Listing.PublicLawnSignImageUrl" />');

    $(document).ready(function () {

        $('#KitchenCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#KitchenSlide"
        });
        $("#KitchenSlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#KitchenCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#BasementCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#BasementSlide"
        });
        $("#BasementSlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#BasementCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#OBedroomCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#OBedroomSlide"
        });
        $("#OBedroomSlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#OBedroomCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#DiningCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#DiningSlide"
        });
        $("#DiningSlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#DiningCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#FamilyCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#FamilySlide"
        });
        $("#FamilySlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#FamilyCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#OtherSection1Carousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#OtherSection1Slide"
        });
        $("#OtherSection1Slide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#OtherSection1Carousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#OtherSection2Carousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#OtherSection2Slide"
        });
        $("#OtherSection2Slide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#OtherSection2Carousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });


        $('#OtherSection3Carousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#OtherSection3Slide"
        });

        $("#OtherSection3Slide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#OtherSection3Carousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

        $('#OtherSection4Carousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#OtherSection4Slide"
        });
        $("#OtherSection4Slide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#OtherSection4Carousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });

       $('#BathroomCarousel').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 200,
            itemMargin: 0,
            asNavFor: "#BathroomSlide"
        });
        $("#BathroomSlide").flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            sync: "#BathroomCarousel",
            start: function (slider) {
                // $('body').removeClass('loading');
            }
        });
    });
</script>
<!-- Panel End -->
